//
//  SYSegmentControl.h
//  blockCallbackReplaceDelegate
//
//  Created by 杨淳引 on 15/7/17.
//  Copyright (c) 2015年 杨淳引. All rights reserved.
//

#import <UIKit/UIKit.h>
@class SYSegmentControl;

typedef void (^callbackBlock)(NSInteger index);

@protocol SYSegmentControlDelegate<NSObject>

- (void)segmentControl:(SYSegmentControl *)segmentControl didSelectedIndex:(NSInteger) index;

@end

@interface SYSegmentControl : UIView

@property (nonatomic, weak) id<SYSegmentControlDelegate> delegate;

//代理模式的入口方法
- (instancetype)initWithTitles:(NSArray *)titles frame:(CGRect)frame delegate:(id<SYSegmentControlDelegate>) theDelegate;
//块回调模式的入口方法
- (instancetype)initWithTitles:(NSArray *)titles frame:(CGRect)frame callback:(callbackBlock)block;

@end

